## guetzli 1.0.1

=== third_party/butteraugli/butteraugli/Makefile ===
LDLIBS += -lpng -ljpeg
CXXFLAGS += -std=c++11 -I..
LINK.o = $(LINK.cc)

all: butteraugli.o butteraugli_main.o butteraugli

butteraugli: butteraugli.o butteraugli_main.o

=== debian/changelog ===
guetzli (1.0.1-3) unstable; urgency=medium

  * Team upload.
  * add d/clean
  * add d/p/fix-guetzli.make-shuffle.patch, Closes: #1105411
  * add d/p/cross.patch, Closes: #1025360, Thanks Helmut Grohne
  * d/copyright: update year info
  * Bump Standards-Version: 4.7.2
  * d/rules: use execute_before_dh_installman

 -- xiao sheng wen <atzlinux@debian.org>  Fri, 16 May 2025 15:20:50 +0800

guetzli (1.0.1-2) unstable; urgency=medium

  * Team upload.
  * Packaging update
  * Standards-Version: 4.7.0 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Replace transitional package pkg-config by pkgconf in Build-Depends
    (routine-update)
  * Fix watch file

 -- Andreas Tille <tille@debian.org>  Tue, 11 Feb 2025 20:16:41 +0100

guetzli (1.0.1-1) unstable; urgency=medium

  * Initial release (Closes: #858000)

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Thu, 23 Mar 2017 00:17:43 +0800

=== debian/control ===
Source: guetzli
Section: graphics
Priority: optional
Maintainer: Debian PhotoTools Maintainers <pkg-phototools-devel@lists.alioth.debian.org>
Uploaders: ChangZhuo Chen (陳昌倬) <czchen@debian.org>
Build-Depends: debhelper-compat (= 13),
               asciidoc-base,
               libpng-dev,
               pkgconf,
               xmlto,
Standards-Version: 4.7.2
Homepage: https://github.com/google/guetzli
Vcs-Git: https://salsa.debian.org/debian-phototools-team/guetzli.git
Vcs-Browser: https://salsa.debian.org/debian-phototools-team/guetzli

Package: guetzli
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
Description: perceptual JPEG encoder
 Guetzli is a JPEG encoder that aims for excellent compression density
 at high visual quality. Guetzli-generated images are typically 20-30%
 smaller than images of equivalent quality generated by libjpeg. Guetzli
 generates only sequential (nonprogressive) JPEGs due to faster
 decompression speeds they offer.

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE = 1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

execute_before_dh_installman:
	cat debian/*manpages | sed 's/$$/.txt/p' | xargs -n 1 a2x --doctype manpage --format manpage
